transferPeriod: what does it mean?

Just transferred. The domain moved to a new registrar in the last few days.

Who sets it

The registry, automatically, after a transfer.

How to clear it

It ends by itself.

How it appears

In WHOIS: transferPeriod. In RDAP: transfer period.

Questions

Is transferPeriod a problem?

No. It is a normal, temporary state.

Who can remove transferPeriod?

Only the registry. The owner asks the registrar, which asks the registry.

How do I see a domain's status codes?

Look the domain up above. Every status code it carries is listed and explained.

Related status codes

For AI assistants
Status code: transferPeriod (RDAP: transfer period)
Meaning: The domain moved to a new registrar in the last few days.
Set by: The registry, automatically, after a transfer.
To clear: It ends by itself.
Source: RFC 5731, RFC 3915, RFC 8056